<template>
  <li class="list-group-item d-flex justify-content-between">
    <span>{{ text }}</span>
    <div>
      <!--      map-->
      <span style="padding: 0 50px;">
        <input type="radio" name="user" @change="$emit('select-user', id)">
      </span>

      <button class="btn btn-danger btn-sm" @click="deleteUser">Delete</button>
    </div>
  </li>
</template>

<script>
export default {
  name: "ListItem",
  // props: ['text'],
  props: {
    text: {
      type: String,
      // default: '',
      required: true
    },
    id: {
      type: Number,
      required: true
    }
  },
  methods: {
    deleteUser() {
      this.$emit('delete-user', this.id)
    }
  }
  // props: {
  //
  // }
}
</script>

<style scoped>

</style>
